import java.util.Arrays;
import java.util.List;

import java.util.stream.Collectors;

public class StreamsDemo
{
   public static void main(String[] args)
   {
      class Employee
      {
         private String name;
         private int age;
         Employee(String name, int age)
         {
            this.name = name;
            this.age = age;
         }
         String getName() { return name; }
         int getAge() { return age; }
      }
      List<Employee> employees = Arrays.asList(new Employee("John Doe", 29),
                                               new Employee("Jane Jones", 48),
                                               new Employee("Roger Price", 63),
                                               new Employee("Janet Smith", 27));
      List<String> names = employees.stream().map(Employee::getName).
                                              collect(Collectors.toList());
      System.out.println(names);
   }
}